Package org.apache.ignite.spi

## Class IgniteSpiMBeanAdapter

- java.lang.Object
- - org.apache.ignite.spi.IgniteSpiMBeanAdapter

- All Implemented Interfaces:
    `IgniteSpiManagementMBean`

      public class IgniteSpiMBeanAdapter
      extends Object
      implements IgniteSpiManagementMBean

  This class provides convenient adapter for MBean implementations.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected IgniteSpiAdapter` | `spiAdapter` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IgniteSpiMBeanAdapter​(IgniteSpiAdapter spiAdapter)` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getIgniteHome()` | Gets Ignite installation home folder (i.e.
    `UUID` | `getLocalNodeId()` | Gets ID of the local node.
    `String` | `getName()` | Gets name of the SPI.
    `long` | `getStartTimestamp()` | Get start timestamp of this SPI.
    `String` | `getStartTimestampFormatted()` | Gets string presentation of the start timestamp.
    `long` | `getUpTime()` | Gets up-time of this SPI in ms.
    `String` | `getUpTimeFormatted()` | Gets string presentation of up-time for this SPI.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### spiAdapter

          protected IgniteSpiAdapter spiAdapter

  - ### Constructor Detail

    - #### IgniteSpiMBeanAdapter

          public IgniteSpiMBeanAdapter​(IgniteSpiAdapter spiAdapter)

      Constructor
      Parameters:
        `spiAdapter` - Spi implementation.

  - ### Method Detail

    - #### getStartTimestampFormatted

          public final String getStartTimestampFormatted()

      Gets string presentation of the start timestamp.
      Specified by:
        `getStartTimestampFormatted` in interface `IgniteSpiManagementMBean`
      Returns:
        String presentation of the start timestamp.

    - #### getUpTimeFormatted

          public final String getUpTimeFormatted()

      Gets string presentation of up-time for this SPI.
      Specified by:
        `getUpTimeFormatted` in interface `IgniteSpiManagementMBean`
      Returns:
        String presentation of up-time for this SPI.

    - #### getStartTimestamp

          public final long getStartTimestamp()

      Get start timestamp of this SPI.
      Specified by:
        `getStartTimestamp` in interface `IgniteSpiManagementMBean`
      Returns:
        Start timestamp of this SPI.

    - #### getUpTime

          public final long getUpTime()

      Gets up-time of this SPI in ms.
      Specified by:
        `getUpTime` in interface `IgniteSpiManagementMBean`
      Returns:
        Up-time of this SPI.

    - #### getLocalNodeId

          public UUID getLocalNodeId()

      Gets ID of the local node.
      Specified by:
        `getLocalNodeId` in interface `IgniteSpiManagementMBean`
      Returns:
        ID of the local node.

    - #### getIgniteHome

          public final String getIgniteHome()

      Gets Ignite installation home folder (i.e. ${IGNITE_HOME});
      Specified by:
        `getIgniteHome` in interface `IgniteSpiManagementMBean`
      Returns:
        Ignite installation home folder.

    - #### getName

          public String getName()

      Gets name of the SPI.
      Specified by:
        `getName` in interface `IgniteSpiManagementMBean`
      Returns:
        Name of the SPI.